Subject: bug#22458: Collision between khal and vdirsyncer "bin/vdirsyncer"

From: Leo Famulari <[email-masked]>
Date: Tue, 3 May 2016 17:48:26 -0400

On Tue, May 03, 2016 at 10:24:37PM +0200, Ludovic Courtès wrote:
> [email-masked] (Ludovic Courtès) skribis:
> 
> > Leo Famulari <[email-masked]> skribis:
> >
> >> The packages khal and vdirsyncer are meant to be used together. Khal is
> >> a console calendar program and vdirsyncer synchronizes CalDAV data from
> >> a remote server to the local filesystem so that khal can use it.
> >
> > Then why do they both provide the same file?  :-)
> >
> >> For some reason, the khal package is creating an
> >> "EASY-INSTALL-ENTRY-SCRIPT" (as "bin/.vdirsyncer-real") that wraps the
> >> propagated vdirsyncer executable. This means that both the khal and
> >> vdirsyncer packages contain the path "bin/vdirsyncer", which is
> >> annoying. Thankfully, they both end up executing the real vdirsyncer.
> >
> > I’m not sure I follow.  Does upstream khal explicitly intend to install
> > its own bin/vdirsyncer?
> 
> Ping?  :-)

Since I filed the bug, I might have learned enough to debug it. I'll
take a look in the next day or so.